This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 837486 - ntpdate.service needs After=nss-lookup.target
ntpdate.service needs After=nss-lookup.target
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 01:24 EDT by Jordan Russell
Modified: 2012-08-07 16:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:09:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Russell 2012-07-04 01:24:18 EDT
Description of problem:
Currently, ntpdate.service is started before named.service during boot. When named is set up as the local DNS resolver, this causes ntpdate's first attempt to always fail with "can't find server" errors logged.

To ensure that named starts first, ntpdate.service needs:
After=nss-lookup.target

I suspect ntpd.service should include the same change (and it's missing After=network.target, too).

Version-Release number of selected component (if applicable):
ntp-4.2.6p4-1.fc16
Comment 1 Miroslav Lichvar 2012-08-07 16:09:00 EDT
Should be fixed in ntp-4.2.6p5-5.fc18. Thanks.

The ntpd service doesn't always need network or DNS (e.g. with a reference clock) and it's better to start it early so the clock frequency offset is set from the drift file.

Note You need to log in before you can comment on or make changes to this bug.